Date   

Re: [poky] [PATCH] local.conf.sample: disable prelink

Robert Berger
 

Hi Alex, RP, Mark,

I did some research on the subject in order to try to figure out what is going on.

1) I come to a similar conclusion with what found, but tried to look a bit deeper for the reason.

1.1) The reason that cross-prelink is not prelinking is, that for a quite some time by default everything is built with PIE mode by default and cross-prelink does not seem to be able to work on exe/libs compiled with PIE mode. So seeing the same behavior with and without prelinking is what I would expect as long as everything is compiled with PIE mode.

A more detailed analysis of my tests can be found on my not yet officially published site:

https://rlbl.me/prelink-1

https://rlbl.me/prelink-2

Alex:

Can you please rebuild your test images without PIE mode and re-run the tests?

Then we should have the 4 test cases:

prelinked-with-pie
no-prelink-with-pie
prelink-no-pie
no-prelink-no-pie

I guess then we can discuss what are the next steps.

In my opinion the current default settings, which compile close to everything in PIE mode, but invoke also cross-prelink do not make much sense.

The question is: "Do we want to drop cross-prelink, or do we want to drag it along and come up more fine-grained configuration options?"

We could e.g. exclude certain files from pre-linking.

IMHO cross-prelink still works, but not on exe/libs which were compiled in PIE mode.

Regards,

Robert


M+ & H bugs with Milestone Movements WW29

Stephen Jolley
 

All,

YP M+ or high bugs which moved to a new milestone in WW29 are listed below:

Priority

Bug ID

Short Description

Changer

Owner

Was

Became

Medium+

12937

Consistent naming scheme for deployed artifacts

randy.macleod@...

Martin.Jansa@...

3.4 M1

3.4 M3

 

13190

RRS cannot handle multiple recipes with same PN

randy.macleod@...

trevor.gamblin@...

3.4 M1

3.4 M3

 

13230

Switch qemuarm (another others) to virtio graphics

randy.macleod@...

jon.mason@...

3.4 M1

3.4 M3

 

13533

Devtool finish on _git package with SRCPV in PV points to wrong WORKDIR

randy.macleod@...

jaewon@...

3.4 M1

3.4 M3

 

13625

test_devtool_add_library fails in multilib setups

randy.macleod@...

bluelightning@...

3.4 M1

3.4 M3

 

13722

Debugging With the GNU Project Debugger enhancements

randy.macleod@...

john.kaldas.enpj@...

3.4 M1

3.4 M2

 

13731

Cross canadian GCC fails to find header files when using tclibc-newlib

randy.macleod@...

alejandro@...

3.4 M1

3.4 M3

 

13742

HashEquiv server should have a read-only port or endpoint

randy.macleod@...

dl9pf@...

3.4 M1

3.4 M3

 

14020

environment-setup script in multilib eSDK doesn't work for multilib variant

randy.macleod@...

unassigned@...

3.4 M1

3.4 M3

 

14047

eSDK: python3.5.real: No such file or directory

randy.macleod@...

richard.purdie@...

3.4 M1

3.4 M2

 

14100

SDKPATH should not reference SDK_VERSION

randy.macleod@...

richard.purdie@...

3.4 M3

3.4 M2

 

 

 

 

3.4 M1

3.4 M3

 

14116

Go cannot compile on target

randy.macleod@...

unassigned@...

3.4 M1

3.99

 

14121

Implement sphinx switchers.js for bitbake

randy.macleod@...

nicolas.dechesne@...

3.4 M1

3.4 M3

 

14254

oe-selftest-centos: gotoolchain.oeGoToolchainSelfTest.test_go_dep_build failed

randy.macleod@...

unassigned@...

3.4 M1

3.4 M3

 

14290

golang test_go_dep_build accessing network during testing

randy.macleod@...

unassigned@...

3.4

3.4 M3

 

14348

Layer dependencies not updated

randy.macleod@...

bluelightning@...

3.4 M1

3.4 M3

Thanks,

 

Stephen K. Jolley

Yocto Project Program Manager

(    Cell:                (208) 244-4460

* Email:              sjolley.yp.pm@...

 


Enhancements/Bugs closed WW29!

Stephen Jolley
 

All,

The below were the owners of enhancements or bugs closed during the last week!

Who

Count

michael.opdenacker@...

3

ross@...

2

richard.purdie@...

1

tolvupostur@...

1

sakib.sajal@...

1

Grand Total

8

Thanks,

 

Stephen K. Jolley

Yocto Project Program Manager

(    Cell:                (208) 244-4460

* Email:              sjolley.yp.pm@...

 


Current high bug count owners for Yocto Project 3.4

Stephen Jolley
 

All,

Below is the list as of top 50 bug owners as of the end of WW29 of who have open medium or higher bugs and enhancements against YP 3.4.   There are 72 possible work days left until the final release candidates for YP 3.4 needs to be released.

Who

Count

ross@...

32

richard.purdie@...

31

michael.opdenacker@...

23

david.reyna@...

22

bruce.ashfield@...

18

trevor.gamblin@...

12

timothy.t.orling@...

11

JPEWhacker@...

11

akuster808@...

11

randy.macleod@...

10

sakib.sajal@...

10

bluelightning@...

10

tony.tascioglu@...

9

kai.kang@...

7

Qi.Chen@...

5

yi.zhao@...

5

chee.yang.lee@...

5

mingli.yu@...

4

hongxu.jia@...

4

mostthingsweb@...

3

alexandre.belloni@...

2

jaewon@...

2

yf3yu@...

2

raj.khem@...

2

mshah@...

2

alejandro@...

2

mister_rs@...

1

florian.amstutz@...

1

devendra.tewari@...

1

nicolas.dechesne@...

1

shachar@...

1

Martin.Jansa@...

1

john.kaldas.enpj@...

1

tonyb@...

1

diego.sueiro@...

1

jon.mason@...

1

kergoth@...

1

open.source@...

1

stacygaikovaia@...

1

kexin.hao@...

1

yoctoproject@...

1

alex.kanavin@...

1

pokylinux@...

1

naveen.kumar.saini@...

1

mark.hatle@...

1

jeanmarie.lemetayer@...

1

ydirson@...

1

aehs29@...

1

douglas.royds@...

1

matthewzmd@...

1

mhalstead@...

1

Thanks,

 

Stephen K. Jolley

Yocto Project Program Manager

(    Cell:                (208) 244-4460

* Email:              sjolley.yp.pm@...

 


Yocto Project Newcomer & Unassigned Bugs - Help Needed

Stephen Jolley
 

All,

 

The triage team is starting to try and collect up and classify bugs which a newcomer to the project would be able to work on in a way which means people can find them. They're being listed on the triage page under the appropriate heading:

https://wiki.yoctoproject.org/wiki/Bug_Triage#Newcomer_Bugs  Also please review: https://www.openembedded.org/wiki/How_to_submit_a_patch_to_OpenEmbedded and how to create a bugzilla account at: https://bugzilla.yoctoproject.org/createaccount.cgi

The idea is these bugs should be straight forward for a person to help work on who doesn't have deep experience with the project.  If anyone can help, please take ownership of the bug and send patches!  If anyone needs help/advice there are people on irc who can likely do so, or some of the more experienced contributors will likely be happy to help too.

 

Also, the triage team meets weekly and does its best to handle the bugs reported into the Bugzilla. The number of people attending that meeting has fallen, as have the number of people available to help fix bugs. One of the things we hear users report is they don't know how to help. We (the triage team) are therefore going to start reporting out the currently 364 unassigned or newcomer bugs.

 

We're hoping people may be able to spare some time now and again to help out with these.  Bugs are split into two types, "true bugs" where things don't work as they should and "enhancements" which are features we'd want to add to the system.  There are also roughly four different "priority" classes right now, “3.2”, “3.3, "3.99" and "Future", the more pressing/urgent issues being in "3.2" and then “3.3”.

 

Please review this link and if a bug is something you would be able to help with either take ownership of the bug, or send me (sjolley.yp.pm@...) an e-mail with the bug number you would like and I will assign it to you (please make sure you have a Bugzilla account).  The list is at: https://wiki.yoctoproject.org/wiki/Bug_Triage_Archive#Unassigned_or_Newcomer_Bugs

 

Thanks,

 

Stephen K. Jolley

Yocto Project Program Manager

(    Cell:                (208) 244-4460

* Email:              sjolley.yp.pm@...

 


[PATCH v2] Add a new variable:'BB_FETCH_ENV' to export Fetcher env

Mingrui Ren
 

From 59ed46416217e0c0b44203bc58e472e4068dba83 Mon Sep 17 00:00:00 2001
From: Mingrui Ren <jiladahe1997@gmail.com>
Date: Mon, 19 Jul 2021 23:02:19 +0800
Subject: [PATCH v2] Add a new variable:'BB_FETCH_ENV' to export Fetcher env

The environment variables used by Fetcher are hard-coded, and are obtained
from HOST env instead of bitbake datastore
This patch add a new variable 'BB_FETCH_ENV',and modify the default
BB_ENV_EXTRAWHITE_OE for backwards compatibility, trying to fix the
problems above.

Signed-off-by: Mingrui Ren <jiladahe1997@gmail.com>
---
changes in v2:
a.changes the variable name from 'FETCH_ENV_WHITELIST' to 'BB_FETCH_ENV'.
b.add 'BB_FETCH_ENV' in local.conf, rather than export it in host
enviroment.
c.modify existing BB_ENV_EXTRAWHITE_OE for backwards compatibility.

bitbake/lib/bb/fetch2/__init__.py | 19 ++-----------------
meta-poky/conf/local.conf.sample | 11 +++++++++++
scripts/oe-buildenv-internal | 3 ++-
3 files changed, 15 insertions(+), 18 deletions(-)

diff --git a/bitbake/lib/bb/fetch2/__init__.py b/bitbake/lib/bb/fetch2/__init__.py
index c8e91262a9..3e779fa78d 100644
--- a/bitbake/lib/bb/fetch2/__init__.py
+++ b/bitbake/lib/bb/fetch2/__init__.py
@@ -820,21 +820,7 @@ def runfetchcmd(cmd, d, quiet=False, cleanup=None, log=None, workdir=None):
# rather than host provided
# Also include some other variables.
# FIXME: Should really include all export varaiables?
- exportvars = ['HOME', 'PATH',
- 'HTTP_PROXY', 'http_proxy',
- 'HTTPS_PROXY', 'https_proxy',
- 'FTP_PROXY', 'ftp_proxy',
- 'FTPS_PROXY', 'ftps_proxy',
- 'NO_PROXY', 'no_proxy',
- 'ALL_PROXY', 'all_proxy',
- 'GIT_PROXY_COMMAND',
- 'GIT_SSH',
- 'GIT_SSL_CAINFO',
- 'GIT_SMART_HTTP',
- 'SSH_AUTH_SOCK', 'SSH_AGENT_PID',
- 'SOCKS5_USER', 'SOCKS5_PASSWD',
- 'DBUS_SESSION_BUS_ADDRESS',
- 'P4CONFIG']
+ exportvars = (d.getVar("BB_FETCH_ENV") or "").split()

if not cleanup:
cleanup = []
@@ -850,9 +836,8 @@ def runfetchcmd(cmd, d, quiet=False, cleanup=None, log=None, workdir=None):
d.setVar("PV", "fetcheravoidrecurse")
d.setVar("PR", "fetcheravoidrecurse")

- origenv = d.getVar("BB_ORIGENV", False)
for var in exportvars:
- val = d.getVar(var) or (origenv and origenv.getVar(var))
+ val = d.getVar(var)
if val:
cmd = 'export ' + var + '=\"%s\"; %s' % (val, cmd)

diff --git a/meta-poky/conf/local.conf.sample b/meta-poky/conf/local.conf.sample
index fb14379d28..b01a04a1a6 100644
--- a/meta-poky/conf/local.conf.sample
+++ b/meta-poky/conf/local.conf.sample
@@ -272,3 +272,14 @@ PACKAGECONFIG_append_pn-qemu-system-native = " sdl"
# track the version of this file when it was generated. This can safely be ignored if
# this doesn't mean anything to you.
CONF_VERSION = "1"
+
+# Bitbake Fetcher Environment Variables
+#
+# Specific which environment variables in bitbake datastore used by fetcher when
+# executing fetch task.
+# NOTE: You may need to modify BB_ENV_EXTRAWHITE, in order to add environment
+# variable into bitbake datastore first.
+BB_FETCH_ENV ?= "HOME PATH HTTP_PROXY http_proxy HTTPS_PROXY https_proxy \
+FTP_PROXY ftp_proxy FTPS_PROXY ftps_proxy NO_PROXY no_proxy ALL_PROXY all_proxy \
+GIT_PROXY_COMMAND GIT_SSH GIT_SSL_CAINFO GIT_SMART_HTTP SSH_AUTH_SOCK SSH_AGENT_PID \
+SOCKS5_USER SOCKS5_PASSWD DBUS_SESSION_BUS_ADDRESS P4CONFIG"
\ No newline at end of file
diff --git a/scripts/oe-buildenv-internal b/scripts/oe-buildenv-internal
index e0d920f2fc..7abb4af593 100755
--- a/scripts/oe-buildenv-internal
+++ b/scripts/oe-buildenv-internal
@@ -111,7 +111,8 @@ HTTPS_PROXY https_proxy FTP_PROXY ftp_proxy FTPS_PROXY ftps_proxy ALL_PROXY \
all_proxy NO_PROXY no_proxy SSH_AGENT_PID SSH_AUTH_SOCK BB_SRCREV_POLICY \
SDKMACHINE BB_NUMBER_THREADS BB_NO_NETWORK PARALLEL_MAKE GIT_PROXY_COMMAND \
SOCKS5_PASSWD SOCKS5_USER SCREENDIR STAMPS_DIR BBPATH_EXTRA BB_SETSCENE_ENFORCE \
-BB_LOGCONFIG"
+BB_LOGCONFIG HOME PATH GIT_SSH GIT_SSL_CAINFO GIT_SMART_HTTP DBUS_SESSION_BUS_ADDRESS \
+P4CONFIG"

BB_ENV_EXTRAWHITE="$(echo $BB_ENV_EXTRAWHITE $BB_ENV_EXTRAWHITE_OE | tr ' ' '\n' | LC_ALL=C sort --unique | tr '\n' ' ')"

--
2.20.1


#yocto #yocto

Monsees, Steven C (US)
 

 

What flag do I set in order to keep the source code for a recipe being built within the build tree after compilation  ?

 

Thanks,

Steve


[meta-zephyr][PATCH] intel-x86-32.conf: drop machine configuration

Naveen Saini
 

Support for 'minnowboard' and 'up_squared_32' BOARDS have been removed.

https://github.com/zephyrproject-rtos/zephyr/commit/ec5e3017acb1bb4aa802349dcc684eacbefef01c
https://github.com/zephyrproject-rtos/zephyr/commit/11b8dd85b976e9c56861e9cdc0695ea60a96e617

Signed-off-by: Naveen Saini <naveen.kumar.saini@intel.com>
---
conf/machine/include/tune-core2-common.inc | 6 ------
conf/machine/intel-x86-32.conf | 12 ------------
2 files changed, 18 deletions(-)
delete mode 100644 conf/machine/include/tune-core2-common.inc
delete mode 100644 conf/machine/intel-x86-32.conf

diff --git a/conf/machine/include/tune-core2-common.inc b/conf/machine/include/tune-core2-common.inc
deleted file mode 100644
index 012f078..0000000
--- a/conf/machine/include/tune-core2-common.inc
+++ /dev/null
@@ -1,6 +0,0 @@
-DEFAULTTUNE ?= "core2-32"
-require conf/machine/include/tune-core2.inc
-require conf/machine/include/x86-base.inc
-
-# Add x86 to MACHINEOVERRIDES
-MACHINEOVERRIDES =. "x86:"
diff --git a/conf/machine/intel-x86-32.conf b/conf/machine/intel-x86-32.conf
deleted file mode 100644
index 06f6da5..0000000
--- a/conf/machine/intel-x86-32.conf
+++ /dev/null
@@ -1,12 +0,0 @@
-#@TYPE: Machine
-#@NAME: intel-x86-32
-#@DESCRIPTION: common MACHINE for 32-bit x86 boards. User must set ${ZEPHYR_BOARD}. By default is set to 'minnowboard' board.
-
-require conf/machine/include/tune-core2-common.inc
-
-ARCH_intel-x86-32 = "x86"
-
-# Supported Boards:
-# ZEPHYR_BOARD ?= "minnowboard"
-# ZEPHYR_BOARD ?= "up_squared_32"
-ZEPHYR_BOARD ?= "minnowboard"
--
2.17.1


[layerindex-web][PATCH 15/15] README.devel: update versions

Tim Orling
 

This updated code-base should be compatible with
Django 3.1 and obviously 3.2 (but not 3.0 or earlier).

Django 3.2 requires Python 3.6+.

With the upgrade to Celery 5, it is safer to recommend
RabbitMQ 3.8.x, since that is what we are using.

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
README.devel | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/README.devel b/README.devel
index b535304..cbf54bf 100644
--- a/README.devel
+++ b/README.devel
@@ -7,9 +7,9 @@ covered in the main README.

In order to run this application standalone, you will need:

-* Python 3.4+
-* Django 1.11.x (not compatible with 2.0 or newer)
-* RabbitMQ 3.7.x
+* Python 3.6+
+* Django 3.2.x (not compatible with 3.0 or older)
+* RabbitMQ 3.8.x
* For production usage, a web server set up to host Django applications
(not needed for local-only testing/development)
* A database system supported by Django (SQLite, MariaDB/MySQL, etc.).
--
2.32.0


[layerindex-web][PATCH 14/15] docker-compose: fix celery

Tim Orling
 

In celery 5, the --workdir argument must come
before the 'worker' subcommand.

Without this, celery cannot load the layerindex
module and this causes the celery container to
continually restart.

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
docker-compose.yml | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/docker-compose.yml b/docker-compose.yml
index 3e16e95..2dfff41 100644
--- a/docker-compose.yml
+++ b/docker-compose.yml
@@ -80,7 +80,7 @@ services:
#- "EMAIL_USE_TLS=<set this here if needed>"
#- "DEBUG=1"
restart: unless-stopped
- command: /usr/local/bin/celery -A layerindex.tasks worker --loglevel=info --workdir=/opt/layerindex
+ command: /usr/local/bin/celery --workdir=/opt/layerindex --app layerindex.tasks worker --loglevel=INFO
#layerscertbot:
# image: certbot/certbot
# volumes:
--
2.32.0


[layerindex-web][PATCH 13/15] settings: set DEFAULT_AUTO_FIELD

Tim Orling
 

New in Django 3.2

To quiet warnings, set DEFAULT_AUTO_FIELD to the
default value 'django.db.models.AutoField'

NOTE: The default value for newly created Django 3.2
projects is django.db.models.BigAutoField, but
this causes the need for a migration in 'captcha'.

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
docker/settings.py | 3 +++
settings.py | 3 +++
2 files changed, 6 insertions(+)

diff --git a/docker/settings.py b/docker/settings.py
index 894974f..a3f007d 100644
--- a/docker/settings.py
+++ b/docker/settings.py
@@ -140,6 +140,9 @@ TEMPLATES = [
},
]

+# New in Django 3.2
+DEFAULT_AUTO_FIELD = 'django.db.models.AutoField'
+
INSTALLED_APPS = (
'django.contrib.auth',
'django.contrib.contenttypes',
diff --git a/settings.py b/settings.py
index d03d15c..a69eb53 100644
--- a/settings.py
+++ b/settings.py
@@ -140,6 +140,9 @@ TEMPLATES = [
},
]

+# New in Django 3.2
+DEFAULT_AUTO_FIELD = 'django.db.models.AutoField'
+
INSTALLED_APPS = (
'django.contrib.auth',
'django.contrib.contenttypes',
--
2.32.0


[layerindex-web][PATCH 12/15] requirements.txt: bump to Django 3.2 LTS

Tim Orling
 

Upgrade to the latest Django 3.2.x LTS for
extended support up until April 2024.

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
requirements.txt | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/requirements.txt b/requirements.txt
index 7704ac0..41a0b1e 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -3,7 +3,7 @@ beautifulsoup4==4.9.3
billiard==3.6.4.0
celery==5.1.2
confusable-homoglyphs==3.2.0
-Django>=3.1,<3.2
+Django>=3.2,<3.3
django-appconf==1.0.4
django-axes==5.20.0
django-bootstrap-pagination==1.7.1
--
2.32.0


[layerindex-web][PATCH 11/15] about.html: update contributors

Tim Orling
 

* Add
- Amber Elliot
- Tim Orling

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
templates/layerindex/about.html | 2 ++
1 file changed, 2 insertions(+)

diff --git a/templates/layerindex/about.html b/templates/layerindex/about.html
index b6b461a..f79bf22 100644
--- a/templates/layerindex/about.html
+++ b/templates/layerindex/about.html
@@ -51,6 +51,8 @@
<li>Marius Avram</li>
<li>Saul Wold</li>
<li>Aníbal Limón</li>
+<li>Amber Elliot</li>
+<li>Tim Orling</li>
</ul>

<p>The code is Open Source and can be found on <a href="http://git.yoctoproject.org/cgit/cgit.cgi/layerindex-web/">git.yoctoproject.org</a>. Patches welcome!</p>
--
2.32.0


[layerindex-web][PATCH 10/15] requirements.txt: update all to latest

Tim Orling
 

Since we are on a "modern" version of Python in
Debian buster container (3.7) and a modern version
of Django (3.1.x) we should be able to run with
the latest of all dependencies.

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
requirements.txt | 34 +++++++++++++++++-----------------
1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/requirements.txt b/requirements.txt
index 865960c..7704ac0 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,27 +1,27 @@
-amqp==2.6.1
+amqp==5.0.6
beautifulsoup4==4.9.3
-billiard==3.6.1.0
-celery==4.3.0
+billiard==3.6.4.0
+celery==5.1.2
confusable-homoglyphs==3.2.0
Django>=3.1,<3.2
django-appconf==1.0.4
-django-axes==5.13.1
+django-axes==5.20.0
django-bootstrap-pagination==1.7.1
-django-cors-headers==3.2.1
+django-cors-headers==3.7.0
django-ipware==3.0.2
django-ranged-response==0.2.0
-django-registration==3.1.2
-django-reversion==3.0.9
+django-registration==3.2
+django-reversion==4.0.0
django-reversion-compare==0.14.0
django-simple-captcha==0.5.14
djangorestframework==3.12.4
-gitdb2==2.0.6
-GitPython==2.1.13
-kombu==4.6.3
-mysqlclient==1.4.6
-Pillow==6.2.1
-pytz==2019.3
-six==1.12.0
-smmap2==2.0.5
-soupsieve==1.9.4
-vine==1.3.0
+gitdb==4.0.7
+GitPython==3.1.18
+kombu==5.1.0
+mysqlclient==2.0.3
+Pillow==8.3.1
+pytz==2021.1
+six==1.16.0
+smmap==4.0.0
+soupsieve==2.2.1
+vine==5.0.0
--
2.32.0


[layerindex-web][PATCH 09/15] docker-compose: bump mariadb to 10.3

Tim Orling
 

10.2 was based on Ubuntu bionic 18.04,
bumping to 10.3 as it is the first release
on Ubuntu focal 20.04

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
docker-compose.yml | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/docker-compose.yml b/docker-compose.yml
index 44260b6..3e16e95 100644
--- a/docker-compose.yml
+++ b/docker-compose.yml
@@ -1,7 +1,7 @@
version: '3'
services:
layersdb:
- image: mariadb:10.2
+ image: mariadb:10.3
command: --character-set-server=utf8mb4 --collation-server=utf8mb4_unicode_ci --wait_timeout=28800 --max_allowed_packet=128M
environment:
- "MYSQL_DATABASE=layersdb"
--
2.32.0


[layerindex-web][PATCH 08/15] requirements.txt: bump to Django 3.1

Tim Orling
 

Another incremental upgrade towards 3.2 LTS

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
requirements.txt | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/requirements.txt b/requirements.txt
index 895994b..865960c 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -3,7 +3,7 @@ beautifulsoup4==4.9.3
billiard==3.6.1.0
celery==4.3.0
confusable-homoglyphs==3.2.0
-Django>=3.0,<3.1
+Django>=3.1,<3.2
django-appconf==1.0.4
django-axes==5.13.1
django-bootstrap-pagination==1.7.1
--
2.32.0


[layerindex-web][PATCH 07/15] Updates for Django 3.0

Tim Orling
 

* Update requirements.txt versions
- Mostly update to latest pre-Django 3.1 versions
* Fix deprecated axes.backends.AxesModelBackend
- settings.py
- docker/settings.py
* Fix template syntax 'staticfiles' -> 'static'
- base.html
* Add migrations for layerbranch classicrecipe

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
docker/settings.py | 3 ++-
.../0045_layerbranch_classicrecipe.py | 19 +++++++++++++++
requirements.txt | 24 +++++++++----------
settings.py | 3 ++-
templates/base.html | 2 +-
5 files changed, 36 insertions(+), 15 deletions(-)
create mode 100644 layerindex/migrations/0045_layerbranch_classicrecipe.py

diff --git a/docker/settings.py b/docker/settings.py
index 7330ab9..894974f 100644
--- a/docker/settings.py
+++ b/docker/settings.py
@@ -102,6 +102,7 @@ MIDDLEWARE = (
'django.contrib.auth.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware',
+ 'axes.middleware.AxesMiddleware',
'layerindex.middleware.NonAtomicRevisionMiddleware',
)

@@ -161,7 +162,7 @@ INSTALLED_APPS = (
)

AUTHENTICATION_BACKENDS = [
- 'axes.backends.AxesModelBackend',
+ 'axes.backends.AxesBackend',
'django.contrib.auth.backends.ModelBackend',
]

diff --git a/layerindex/migrations/0045_layerbranch_classicrecipe.py b/layerindex/migrations/0045_layerbranch_classicrecipe.py
new file mode 100644
index 0000000..cb805c9
--- /dev/null
+++ b/layerindex/migrations/0045_layerbranch_classicrecipe.py
@@ -0,0 +1,19 @@
+# Generated by Django 3.0.14 on 2021-07-18 00:03
+
+from django.db import migrations, models
+import django.db.models.deletion
+
+
+class Migration(migrations.Migration):
+
+ dependencies = [
+ ('layerindex', '0044_extendedprovides'),
+ ]
+
+ operations = [
+ migrations.AlterField(
+ model_name='classicrecipe',
+ name='cover_layerbranch',
+ field=models.ForeignKey(blank=True, limit_choices_to={'branch__name': 'master'}, null=True, on_delete=django.db.models.deletion.SET_NULL, to='layerindex.LayerBranch', verbose_name='Covering layer'),
+ ),
+ ]
diff --git a/requirements.txt b/requirements.txt
index ac69589..895994b 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,24 +1,24 @@
-amqp==2.5.2
-beautifulsoup4==4.8.1
+amqp==2.6.1
+beautifulsoup4==4.9.3
billiard==3.6.1.0
celery==4.3.0
confusable-homoglyphs==3.2.0
Django>=3.0,<3.1
-django-appconf==1.0.3
-django-axes==4.5.4
+django-appconf==1.0.4
+django-axes==5.13.1
django-bootstrap-pagination==1.7.1
-django-cors-headers==3.0.2
-django-ipware==2.1.0
+django-cors-headers==3.2.1
+django-ipware==3.0.2
django-ranged-response==0.2.0
-django-registration==3.0.1
-django-reversion==2.0.13
-django-reversion-compare==0.8.6
-django-simple-captcha==0.5.12
-djangorestframework==3.9.4
+django-registration==3.1.2
+django-reversion==3.0.9
+django-reversion-compare==0.14.0
+django-simple-captcha==0.5.14
+djangorestframework==3.12.4
gitdb2==2.0.6
GitPython==2.1.13
kombu==4.6.3
-mysqlclient==1.4.4
+mysqlclient==1.4.6
Pillow==6.2.1
pytz==2019.3
six==1.12.0
diff --git a/settings.py b/settings.py
index 1dd6ebc..d03d15c 100644
--- a/settings.py
+++ b/settings.py
@@ -102,6 +102,7 @@ MIDDLEWARE = (
'django.contrib.auth.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware',
+ 'axes.middleware.AxesMiddleware',
'layerindex.middleware.NonAtomicRevisionMiddleware',
)

@@ -161,7 +162,7 @@ INSTALLED_APPS = (
)

AUTHENTICATION_BACKENDS = [
- 'axes.backends.AxesModelBackend',
+ 'axes.backends.AxesBackend',
'django.contrib.auth.backends.ModelBackend',
]

diff --git a/templates/base.html b/templates/base.html
index a465a68..f00c976 100644
--- a/templates/base.html
+++ b/templates/base.html
@@ -9,7 +9,7 @@


{% load i18n %}
-{% load staticfiles %}
+{% load static %}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
--
2.32.0


[layerindex-web][PATCH 06/15] requirements.txt: bump to Django 3.0

Tim Orling
 

Incremental upgrade towards 3.2 LTS version.

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
requirements.txt | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/requirements.txt b/requirements.txt
index 1c2c4a1..ac69589 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -3,7 +3,7 @@ beautifulsoup4==4.8.1
billiard==3.6.1.0
celery==4.3.0
confusable-homoglyphs==3.2.0
-Django>=2.2,<2.3
+Django>=3.0,<3.1
django-appconf==1.0.3
django-axes==4.5.4
django-bootstrap-pagination==1.7.1
--
2.32.0


[layerindex-web][PATCH 05/15] layerindex/*: make all shebangs python3

Tim Orling
 

Several scripts still had /usr/bin/env python

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
layerindex/bulkchange.py | 2 +-
layerindex/recipedesc.py | 2 +-
layerindex/tools/import_classic_wiki.py | 2 +-
layerindex/tools/import_wiki_layers.py | 2 +-
layerindex/tools/site_name.py | 2 +-
layerindex/tools/update_classic_status.py | 2 +-
layerindex/update_layer.py | 2 +-
7 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/layerindex/bulkchange.py b/layerindex/bulkchange.py
index 6382053..0ec4058 100644
--- a/layerindex/bulkchange.py
+++ b/layerindex/bulkchange.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3

# layerindex-web - bulk change implementation
#
diff --git a/layerindex/recipedesc.py b/layerindex/recipedesc.py
index be47f6e..ee7f2fe 100644
--- a/layerindex/recipedesc.py
+++ b/layerindex/recipedesc.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3

# Test script
#
diff --git a/layerindex/tools/import_classic_wiki.py b/layerindex/tools/import_classic_wiki.py
index aa33b7a..bd7ab9a 100755
--- a/layerindex/tools/import_classic_wiki.py
+++ b/layerindex/tools/import_classic_wiki.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3

# Import migration info from OE-Classic recipes wiki page into OE
# layer index database
diff --git a/layerindex/tools/import_wiki_layers.py b/layerindex/tools/import_wiki_layers.py
index 707d90e..2c82411 100755
--- a/layerindex/tools/import_wiki_layers.py
+++ b/layerindex/tools/import_wiki_layers.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3

# Import layer index wiki page into database
#
diff --git a/layerindex/tools/site_name.py b/layerindex/tools/site_name.py
index e1cff02..0f2782d 100755
--- a/layerindex/tools/site_name.py
+++ b/layerindex/tools/site_name.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3

# Updates site name in Django database
#
diff --git a/layerindex/tools/update_classic_status.py b/layerindex/tools/update_classic_status.py
index 0bcf2e7..aa5d2ef 100755
--- a/layerindex/tools/update_classic_status.py
+++ b/layerindex/tools/update_classic_status.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3

# Update cover info for OE-Classic / other distro recipes in OE layer index database
#
diff --git a/layerindex/update_layer.py b/layerindex/update_layer.py
index 42f99be..f51884d 100644
--- a/layerindex/update_layer.py
+++ b/layerindex/update_layer.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3

# Update layer index database for a single layer
#
--
2.32.0


[layerindex-web][PATCH 04/15] dockersetup.py: letsencrypt 2048 bit rsa

Tim Orling
 

The minimum length for an RSA pem is 2048 for the dummy cert.

Signed-off-by: Tim Orling <timothy.t.orling@intel.com>
---
dockersetup.py | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dockersetup.py b/dockersetup.py
index 04dec91..6a0ab67 100755
--- a/dockersetup.py
+++ b/dockersetup.py
@@ -483,7 +483,7 @@ def setup_https(hostname, http_port, https_port, letsencrypt, cert, cert_key, em
os.makedirs(local_letsencrypt_cert_dir)
keyfile = os.path.join(letsencrypt_cert_subdir, 'privkey.pem')
certfile = os.path.join(letsencrypt_cert_subdir, 'fullchain.pem')
- return_code = subprocess.call(['openssl', 'req', '-x509', '-nodes', '-newkey', 'rsa:1024', '-days', '1', '-keyout', os.path.join(local_cert_dir, keyfile), '-out', os.path.join(local_cert_dir, certfile), '-subj', '/CN=localhost'], shell=False)
+ return_code = subprocess.call(['openssl', 'req', '-x509', '-nodes', '-newkey', 'rsa:2048', '-days', '1', '-keyout', os.path.join(local_cert_dir, keyfile), '-out', os.path.join(local_cert_dir, certfile), '-subj', '/CN=localhost'], shell=False)
if return_code != 0:
print("Dummy certificate generation failed")
sys.exit(1)
--
2.32.0

921 - 940 of 55050